# $Revision: 1.7 $, $Date: 2002/04/08 13:20:51 $
Summary:	A curses-based top-esque monitor of network host status
Summary(pl):	Bazowany na ncurses monitor stanu hostw w sieci (podobny do topa)
Name:		sntop
Version:	1.4.2
Release:	2
License:	GPL
Group:		Applications
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:		sntop-ncurses.patch
URL:		http://sntop.sourceforge.net/
BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	fping

%description
sntop is an ncurses-based top-esque console utility for monitoring the
connectivity of network hosts, supporting various advanced features
and released under the GPL.

sntop uses fping (ping is supported, too) to determine connectivity of
hosts, specified in a config file, on a regular interval. the results
are displayed in a top-like format.

advanced features include html generation of results for automatic web
page, secure terminal mode, execution of external file on alarm
(configurable for either host DOWN or any change in host status),
color support, and both user and system-wide config files.

%description -l pl
sntop jest bazowanym na ncurses podobnym do topa terminalowym
narzdziem do monitorowania cznoci hostw w sieci, wspierajcy
rne dodatki.

sntop uywa fpinga (ping te jest obsugiwany) do ustalenia cznoci
midzy hostami wyszczeglnionymi w pliku konfiguracyjnym co ustalony
czas. Rezultaty s wywietlane w postaci podobnej do topa.

Rozszerzone moliwoci to generowanie HTML z rezultatami na
automatyczn stron WWW, tryb bezpiecznego terminala, wykonywanie
zewntrznego programu podczas alarmu (host nie dziaajcy lub zmiana
stanu hosta), obsuga koloru, pliki konfigurcyjne dla systemu i
uytkownika.

%prep
%setup -q

%patch0 -p1

%build
%configure2_13 


%{__make}   

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir},%{_mandir}/man1}
%{__make} install INSTDIR=$RPM_BUILD_ROOT%{_bindir} ETCDIR=$RPM_BUILD_ROOT%{_sysconfdir} MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1


gzip -9nf ChangeLog CREDITS  TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{_sysconfdir}/sntoprc
%attr(755,root,root) %{_bindir}/sntop
%{_mandir}/man1/sntop.1.gz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: sntop.spec,v $
Revision 1.7  2002/04/08 13:20:51  pioklo
- rel 2 , STBR

Revision 1.6  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/22 13:15:23  ankry
- changed Source URL to ftp: ; 1.4.2 no longer available on http:
  Note: there's 1.4.3 on sourceforge

Revision 1.4  2002/01/18 02:15:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/12 15:49:31  qboosh
- adapterized, pl translations, gzip doc

Revision 1.2  2001/08/02 02:32:09  agaran
adapterized (just)

* Thu May 17 2001 Robert M. Love <rml@tech9.net>
- initial packaging of 1.4.2
